# gui.h File Reference

`#include "window_type.h"`
`#include "vehicle_type.h"`
`#include "gfx_type.h"`
`#include "economy_type.h"`
`#include "tile_type.h"`
`#include "strings_type.h"`

Go to the source code of this file.

## Enumerations
enum | { DDSP_DEMOLISH_AREA, DDSP_RAISE_AND_LEVEL_AREA, DDSP_LOWER_AND_LEVEL_AREA, DDSP_LEVEL_AREA, DDSP_CREATE_DESERT, DDSP_CREATE_ROCKS, DDSP_CREATE_WATER, DDSP_CREATE_RIVER, DDSP_PLANT_TREES, DDSP_BUILD_BRIDGE, DDSP_PLACE_RAIL_NE, DDSP_PLACE_RAIL_NW, DDSP_PLACE_AUTORAIL, DDSP_BUILD_SIGNALS, DDSP_BUILD_STATION, DDSP_REMOVE_STATION, DDSP_CONVERT_RAIL, DDSP_PLACE_ROAD_X_DIR, DDSP_PLACE_ROAD_Y_DIR, DDSP_PLACE_AUTOROAD }
| Drag and drop selection process, or, what to do with an area of land when you've selected it. More...
## Functions
void | CcPlaySound10 (bool success, TileIndex tile, uint32 p1, uint32 p2)
void | CcBuildCanal (bool success, TileIndex tile, uint32 p1, uint32 p2)
void | ShowGameOptions ()
void | ShowGameDifficulty ()
void | ShowPatchesSelection ()
void | DrawArrowButtons (int x, int y, int ctab, byte state, bool clickable_left, bool clickable_right)
| Draw [<][>] boxes.
void | ShowOperatingProfitGraph ()
void | ShowIncomeGraph ()
void | ShowDeliveredCargoGraph ()
void | ShowPerformanceHistoryGraph ()
void | ShowCompanyValueGraph ()
void | ShowCargoPaymentRates ()
void | ShowCompanyLeagueTable ()
void | ShowPerformanceRatingDetail ()
void | ShowLastNewsMessage ()
| Show previous news item.
void | ShowMessageOptions ()
void | ShowMessageHistory ()
| Display window with news messages history.
void | ShowOrdersWindow (const Vehicle *v)
void | ShowBuildDocksToolbar ()
void | ShowBuildAirToolbar ()
void | ShowGenerateLandscape ()
void | ShowHeightmapLoad ()
void | PlaceLandBlockInfo ()
void | ShowAboutWindow ()
void | ShowBuildTreesToolbar ()
void | ShowBuildTreesScenToolbar ()
void | ShowTownDirectory ()
void | ShowIndustryDirectory ()
void | ShowSubsidiesList ()
void | ShowEstimatedCostOrIncome (Money cost, int x, int y)
void | ShowErrorMessage (StringID msg_1, StringID msg_2, int x, int y)
void | ShowSmallMap ()
void | ShowExtraViewPortWindow ()
void | SetVScrollCount (Window *w, int num)
void | SetVScroll2Count (Window *w, int num)
void | SetHScrollCount (Window *w, int num)
void | ShowCheatWindow ()
void | BuildFileList ()
void | SetFiosType (const byte fiostype)
void | ShowBuildBridgeWindow (TileIndex start, TileIndex end, TransportType transport_type, byte bridge_type)
void | ShowBuildIndustryWindow ()
void | ShowMusicWindow ()
void | HandleOnEditText (const char *str)
void | InitializeGUI ()
## Variables
const TextColour | _fios_colors []

## Detailed Description

Definition in file gui.h.

## Enumeration Type Documentation

anonymous enum

Drag and drop selection process, or, what to do with an area of land when you've selected it.

Definition at line 55 of file gui.h.

## Function Documentation

void DrawArrowButtons | ( | int | x,
|  | int | y,
|  | int | ctab,
|  | byte | state,
|  | bool | clickable_left,
|  | bool | clickable_right |
| ) |  |  |

Draw [<][>] boxes.

Parameters:

  | x | the x position to draw
  | y | the y position to draw
  | ctab | the color of the buttons
  | state | 0 = none clicked, 1 = first clicked, 2 = second clicked
  | clickable_left | is the left button clickable?
  | clickable_right | is the right button clickable?

Definition at line 1120 of file settings_gui.cpp.

References _colour_gradient, FR_LOWERED, and PALETTE_MODIFIER_GREYOUT.

Referenced by PatchesSelectionWndProc().